---
docker_apt_arch: "{{ 'arm64' if ansible_architecture == 'aarch64' else 'amd64' }}"
docker_apt_release_channel: stable
docker_apt_repository: "deb [arch={{ docker_apt_arch }} signed-by={{ _docker_apt_keypath }}] {{ docker_repo_url }}/{{ ansible_distribution | lower }} {{ ansible_distribution_release }} {{ docker_apt_release_channel }}"
docker_apt_depend_packages:
  - ca-certificates
  - curl
  - gnupg
docker_apt_depend_packages_state: present
docker_apt_packages:
  - docker-ce
  - docker-ce-cli
  - containerd.io
  - docker-buildx-plugin
  - docker-compose-plugin
  - python3-requests
docker_apt_packages_state: present
docker_apt_old_packages:
  - docker.io
  - docker-compose
  - podman-docker
  - docker-doc
docker_apt_old_packages_state: absent
